Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.engine.gcv
Class GCPasswordRefValue

    java.lang.Object
      com.novell.nds.dirxml.engine.gcv.GCValue
          com.novell.nds.dirxml.engine.gcv.GCPasswordRefValue

All Implemented Interfaces:
  ConfigElement

    public class GCPasswordRefValue

extends GCValue

Class representing "password-ref" type Global Configuration Values.

Note that password-ref GCVs are not allowed in `GCDefinitions` (i.e., actual GCV collections) but are allowed in `ShimParams`.

Lexical value representations of password-ref GCVs must be a legal named password value matching the following production:

`String ::= Char*`

Field Summary

Fields inherited from class com.novell.nds.dirxml.engine.gcv.GCValue
`modified, parent, TYPE_BOOLEAN, TYPE_DN, TYPE_DN_REF, TYPE_ENUM, TYPE_GCV_REF, TYPE_GROUP, TYPE_HEADER, TYPE_INTEGER, TYPE_LIST, TYPE_PASSWORD_REF, TYPE_REAL, TYPE_STRING, TYPE_SUBORDINATES`

Constructor Summary
`GCPasswordRefValue(String name)` Constructor for use by `GCValue` `construct()` method.

Method Summary
`String` | `getValue()` Return the current value of this instance.
`void` | `parseValue(String value)` Parse the passed value based on the type lexical rules for "password-ref" GCVs.
`void` | `setValue(String value)` Set the value for this instance.

Methods inherited from class com.novell.nds.dirxml.engine.gcv.GCValue
`construct, construct, constructGCVRef, constructGroup, constructHeader, constructSubordinates, getDescription, getDescriptionRef, getDisplayName, getDisplayNameRef, getHidden, getName, getType, getTypeString, getXMLValue, hasBeenModified, localize, resetModified, setDescription, setDescriptionRef, setDisplayName, setDisplayNameRef, setHidden, toXML, typeFromString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GCPasswordRefValue

    public GCPasswordRefValue(String name)
                       throws GCVArgumentException

  Constructor for use by `GCValue` `construct()` method.

  Parameters:
    `name` - Name of password-ref GCV.
  Throws:
    `GCVArgumentException` - thrown if name is invalid

Method Detail

### parseValue

    public void parseValue(String value)
                    throws GCVException

  Parse the passed value based on the type lexical rules for "password-ref" GCVs.

  The passed value must match the production described in the description of this class.

  Specified by:
    `parseValue` in class `GCValue`
  Parameters:
    `value` - Value `String` to parse
  Throws:
    `GCVException` - thrown if value does not match "password-ref" constraints.

### getValue

    public String getValue()

  Return the current value of this instance.

  Specified by:
    `getValue` in class `GCValue`
  Returns:
    String containing current value of this instance.

### setValue

    public void setValue(String value)
                  throws GCVException

  Set the value for this instance.

  The passed value must conform to the rules noted under `parseValue()`.

  Specified by:
    `setValue` in class `GCValue`
  Parameters:
    `value` - Value `String` for this instance.
  Throws:
    `GCVException` - thrown if value is doesn't not parse correctly.
  See Also:
    `parseValue(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD